org.apache.lucene.analysis.tokenattributes

## Class PositionIncrementAttributeImpl

- java.lang.Object
- - org.apache.lucene.util.AttributeImpl
  - - org.apache.lucene.analysis.tokenattributes.PositionIncrementAttributeImpl

All Implemented Interfaces:
  Cloneable, PositionIncrementAttribute, Attribute

    public class PositionIncrementAttributeImpl
    extends AttributeImpl
    implements PositionIncrementAttribute, Cloneable

Default implementation of `PositionIncrementAttribute`.

### Constructor Summary

Constructors
Constructor and Description
`PositionIncrementAttributeImpl()` Initialize this attribute with position increment of 1

### Method Summary

Methods
`void` `clear()` Clears the values in this AttributeImpl and resets it to its default value.
`void` `copyTo(AttributeImpl target)` Copies the values from this Attribute into the passed-in target attribute.
`boolean` `equals(Object other)`
`int` `getPositionIncrement()` Returns the position increment of this Token.
`int` `hashCode()`
`void` `setPositionIncrement(int positionIncrement)` Set the position increment.

### Methods inherited from class org.apache.lucene.util.AttributeImpl

`clone, reflectAsString, reflectWith`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PositionIncrementAttributeImpl

    public PositionIncrementAttributeImpl()

Initialize this attribute with position increment of 1

### Method Detail

#### setPositionIncrement

    public void setPositionIncrement(int positionIncrement)

Description copied from interface: `PositionIncrementAttribute`
Set the position increment. The default value is one.

Specified by:
  `setPositionIncrement` in interface `PositionIncrementAttribute`
Parameters:
  `positionIncrement` - the distance from the prior term
See Also:
  `PositionIncrementAttribute.getPositionIncrement()`

#### getPositionIncrement

    public int getPositionIncrement()

Description copied from interface: `PositionIncrementAttribute`
Returns the position increment of this Token.

Specified by:
  `getPositionIncrement` in interface `PositionIncrementAttribute`
See Also:
  `PositionIncrementAttribute.setPositionIncrement(int)`

#### clear

    public void clear()

Description copied from class: `AttributeImpl`
Clears the values in this AttributeImpl and resets it to its default value. If this implementation implements more than one Attribute interface it clears all.

Specified by:
  `clear` in class `AttributeImpl`

#### equals

    public boolean equals(Object other)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### copyTo

    public void copyTo(AttributeImpl target)

Description copied from class: `AttributeImpl`
Copies the values from this Attribute into the passed-in target attribute. The target implementation must support all the Attributes this implementation supports.

Specified by:
  `copyTo` in class `AttributeImpl`